%define anolis_release 2

Summary: Library implementing the Unicode Bidirectional Algorithm
Name: fribidi
Version: 1.0.12
Release: %{anolis_release}%{dist}
URL: https://github.com/fribidi/fribidi/
Source: https://github.com/fribidi/fribidi/releases/download/v%{version}/%{name}-%{version}.tar.xz
License: LGPLv2+ and UCD
BuildRequires: gcc
BuildRequires: meson
BuildRequires: make >= 0.48
Patch0: fribidi-drop-bundled-gnulib.patch

%description
A library to handle bidirectional scripts (for example Hebrew, Arabic),
so that the display is done in the proper way; while the text data itself
is always written in logical order.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Libraries and include files for FriBidi
Requires: %{name} = %{version}-%{release}

%description devel
Include files and libraries needed for developing applications which use
FriBidi.

%prep
%autosetup -p1

%build
%meson -Ddocs=false
%meson_build

%check
%meson_test

%install
%meson_install

%generate_compatibility_deps

%files
%license COPYING
%{_bindir}/fribidi
%{_libdir}/libfribidi.so.0*
%dir %{abidir}
%{abidir}/libfribidi.dump
%{abidir}/fribidi-option.list

%files doc
%doc README AUTHORS THANKS NEWS TODO

%files devel
%{_includedir}/fribidi
%{_libdir}/libfribidi.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Feb 16 2023 happy_orange <songnannan@linux.alibaba.com> - 1.0.12-2
- add abi and api info

* Sat Jan 21 2023 Funda Wang <fundawang@yeah.net> - 1.0.12-1
- New version 1.0.12

* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.0.11-2
- add doc package

* Wed Apr 13 2022 Zhongling He <zhonglingh@linux.alibaba.com> - 1.0.11-1
- Init package from upstream v1.0.11
